/* ------------------------------------------------------------------------ */
/*                                                                          */
/*  Copyright (C)                                                           */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful, but     */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-    */
/*  ABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General        */
/*  Public License for more details.                                        */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License along */
/*  with this program; if not, write to the Free Software Foundation, Inc., */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                   */
/*                                                                          */
/* ------------------------------------------------------------------------ */
/*  $Author: vogje02 $ $Revision: 1.3 $ $Date: 2002/07/09 10:55:30 $        */
/* ------------------------------------------------------------------------ */
#if !defined(AFX_WINDOWSPAGE_H__B11702E3_9283_4A34_9203_A9EA967B7C3B__INCLUDED_)
#define AFX_WINDOWSPAGE_H__B11702E3_9283_4A34_9203_A9EA967B7C3B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "options.h"

/////////////////////////////////////////////////////////////////////////////
// CWindowsPage dialog

class CWindowsPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CWindowsPage)

// Construction
public:
	CWindowsPage();
	~CWindowsPage();

	/**
	 * Sets the status bar for error/info message
	 */
	void SetStatusBar( CEdit* status );

	/**
	 * Called when the folder page becomes visible. This is
	 * putting the page into the right place.
	 */
	void SetVisible(CTabCtrl* parent);

	/**
	 * Sets the widgets values.
	 */
	void SetOptions();

// Dialog Data
	//{{AFX_DATA(CWindowsPage)
	enum { IDD = IDD_DIALOG_WINDOWS };
		// NOTE - ClassWizard will add data members here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CWindowsPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CWindowsPage)
	afx_msg void OnButton1();
	afx_msg void OnCheck1();
	afx_msg void OnCheck4();
	afx_msg void OnCheck2();
	afx_msg void OnCheck3();
	afx_msg void OnCheck5();
	afx_msg void OnCheck6();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	/**
	 */
	void BuildCommand();

	/**
	 * Initialization flag.
	 */
	bool init;

	/**
	 * Status bar for error/info messages.
	 */
	CEdit* m_statusbar;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WINDOWSPAGE_H__B11702E3_9283_4A34_9203_A9EA967B7C3B__INCLUDED_)
